Permalink
Browse files

Increasing version of SDK that contain the auth v32 change. (#299)


* Increasing version and warning message.
  • Loading branch information...
Jeffders committed Oct 5, 2017
1 parent f0a169d commit 661aa75c2a85ce0881c267cd3e4ef03606220602
Showing with 4 additions and 4 deletions.
  1. +4 −4 src/server/versionManager.ts
@@ -50,8 +50,8 @@ export class VersionManager {
static minimumVersion: IVersion = {
major: 3,
minor: 10,
subminor: 5
minor: 11,
subminor: 0
};
public static checkVersion(userAgent: string) {
@@ -63,9 +63,9 @@ export class VersionManager {
} else {
log.warn('Warning: The bot is using an SDK version earlier than ' + VersionManager.toString(VersionManager.minimumVersion) + '.');
}
log.warn('Warning: SDK versions earlier than ' + VersionManager.toString(VersionManager.minimumVersion) + ' use an authentication configuration that will no longer work with the emulator after September 30, 2017.');
log.warn('Warning: SDK versions earlier than ' + VersionManager.toString(VersionManager.minimumVersion) + ' use an authentication configuration that will no longer work with the emulator after November 15, 2017.');
log.warn('Warning: For your bot to continue working with the emulator, please update your bot to use an SDK version greater than or equal to ' + VersionManager.toString(VersionManager.minimumVersion) + '.');
log.warn(log.makeLinkMessage('Read about the Bot Framework authentication change.', 'https://aka.ms/botfxv31authchange'));
log.warn(log.makeLinkMessage('Read about the Bot Framework authentication change.', 'https://aka.ms/botfxv32authchange'));
}
VersionManager.checkCurrentSdkVersion(version);
VersionManager.hasChecked = true;

0 comments on commit 661aa75

Please sign in to comment.